package com.bizmatics.mhfire.controller.web;

import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.mhfire.service.SiAeAllService;
import com.bizmatics.mhfire.service.vo.SiAeAllVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

/**
 * 监督检查行政执法总记录
 * @author yq
 * @date 2021/5/25 16:19
 */
@RestController
@RequestMapping("/siaeall")
public class SiAeAllControllerWeb {


    @Autowired
    public SiAeAllService aeAllService;


    /**
     * 行政执法总记录汇总
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    @GetMapping("/siAeAllCollect")
    public ApiResult<List<SiAeAllVO>> aeAllCollect(@RequestParam Date startTime,
                                                   @RequestParam Date endTime){
        return ApiResult.success(aeAllService.getAeAllCollect(startTime,endTime));
    }
}
