package com.bizmatics.mhfire.controller.web.bulehelp;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.model.bulehelp.BmfwEvent;
import com.bizmatics.mhfire.service.bulehelp.BmfwEventService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  项目申报记录
 * </p>
 *
 * @author yq
 * @since 2021-06-15
 */
@RestController
@RequestMapping("/bule/bmfwEvent")
public class BmfwEventController {

    @Autowired
    private BmfwEventService bmfwEventService;

    /**
     * 分页
     * @param current 页数
     * @param size 条数
     * @param unit 单位信息
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<BmfwEvent>> page(@RequestParam Integer current,
                                                 @RequestParam Integer size,
                                                 @RequestParam(required = false) String unit){
        return ApiResult.success(bmfwEventService.page(current, size, unit));
    }
}

