package com.bizmatics.mhfire.controller.web.bulehelp;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.model.bulehelp.BmfwLawsCatalogInfo;
import com.bizmatics.mhfire.model.bulehelp.BmfwLawsNew;
import com.bizmatics.mhfire.service.bulehelp.BmfwLawsNewService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  普法宣传记录
 * </p>
 *
 * @author yq
 * @since 2021-06-15
 */
@RestController
@RequestMapping("/bule/bmfwLawsNew")
public class BmfwLawsNewController {

    @Autowired
    private BmfwLawsNewService bmfwLawsNewService;


    /**
     * 分页
     * @param current 页数
     * @param size 条数
     * @param name
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<BmfwLawsNew>> page(@RequestParam Integer current,
                                                   @RequestParam Integer size,
                                                   @RequestParam(required = false) String name){
        return ApiResult.success(bmfwLawsNewService.page(current, size, name));
    }
}

