package com.bizmatics.mhfire.controller.web.bulehelp;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.model.bulehelp.BmfwUser;
import com.bizmatics.mhfire.model.bulehelp.RobotQuestion;
import com.bizmatics.mhfire.service.bulehelp.RobotQuestionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  题目表
 * </p>
 *
 * @author yq
 * @since 2021-06-15
 */
@RestController
@RequestMapping("/bule/robotQuestion")
public class RobotQuestionController {


    @Autowired
    private RobotQuestionService robotQuestionService;


    /**
     * 分页
     * @param current 页数
     * @param size 条数
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<RobotQuestion>> page(@RequestParam Integer current,
                                                @RequestParam Integer size){
        return ApiResult.success(robotQuestionService.page(current, size));
    }
}

