package com.bizmatics.mhfire.controller.web.bulehelp;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.model.bulehelp.RobotQuestion;
import com.bizmatics.mhfire.model.bulehelp.RobotQuestionKey;
import com.bizmatics.mhfire.service.bulehelp.RobotQuestionKeyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  关键字信息
 * </p>
 *
 * @author yq
 * @since 2021-06-15
 */
@RestController
@RequestMapping("/bule/robotQuestionKey")
public class RobotQuestionKeyController {

    @Autowired
    private RobotQuestionKeyService robotQuestionKeyService;


    /**
     * 分页
     * @param current 页数
     * @param size 条数
     * @param name 名称
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<RobotQuestionKey>> page(@RequestParam Integer current,
                                                     @RequestParam Integer size,
                                                     @RequestParam(required = false) String name){
        return ApiResult.success(robotQuestionKeyService.page(current, size, name));
    }

}

