package com.bizmatics.mhfire.persistence.mapper;


import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.mhfire.model.Alert;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-08-10
 */

@Repository
public interface AlertMapper extends CrudMapper<Alert> {



    List<Map<String,Object>> getCountByHorse(@Param("startTime") Date startTime,
                                             @Param("endTime") Date endTime);

    List<Map<String,Object>> getCountByMonth(@Param("startTime") Date startTime,
                                             @Param("endTime") Date endTime);



}
