package com.bizmatics.mhfire.persistence.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.Map;

/**
 * @author yq
 * @date 2021/6/2 10:00
 * 基本总表-监督管理项目全表
 */
@Repository
public interface BsSupervisionAllMapper {


    Integer selectCount(@Param("typeOneLetter") String typeOneLetter,
                        @Param("typeTwoLetter") String typeTwoLetter,
                        @Param("startTime") Date startTime,
                        @Param("endTime") Date endTime,
                        @Param("unitId") String unitId,
                        @Param("qualifiedFlag") String qualifiedFlag);


    Map<String,String> selectByRecentlyOne(@Param("typeOneLetter") String typeOneLetter,
                                           @Param("typeTwoLetter") String typeTwoLetter);
}
