package com.bizmatics.mhfire.persistence.mapper.po;

import lombok.Data;

import java.io.StringReader;

/**
 * @author yq
 * @date 2021/6/2 13:19
 */
@Data
public class BsSupervisionAllPO {

    /**
     * id
     */
    private String id;

    /**
     * 项目编号
     */
    private String productId;
    /**
     * 项目名称
     */
    private String productName;

    /**
     * 项目单位id
     */
    private String productUnitId;

    /**
     * 项目单位名称
     */
    private String productUnitName;
    /**
     * 项目单位地址
     */
    private String productUnitAddress;

    /**
     * 单位类型（一般单位，重点单位）
     */
    private String unitType;

    /**
     * 项目分类1
     */
    private String productTypeOne;

    /**
     * 项目分类1 字母标志
     */
    private String productTypeOneLetter;

    /**
     * 项目分类2
     */
    private String productTypeTwo;

    /**
     * 项目分类2字母类型
     */
    private String productTypeTwoLetter;

    /**
     * 项目结果（合格，不合格，复查合格）
     */
    private String productResult;

    /**
     * 主管单位id
     */
    private String competentId;
    /**
     * 主管单位名称
      */
    private String competentName;


    /**
     * 项目创建时间
     */
    private String productCreatTime;

    /**
     * 项目完成时间
     */
    private String productEndTime;

    /**
     * 项目截止时间
     */
    private String productCutTime;

    /**
     * 项目处理时间
     */
    private String productDisposeTime;

    /**
     * 主承办人
     */
    private String mastUndertake;

    /**
     * 协助人
     */
    private String assistPerson;

}
