package com.bizmatics.mhfire.persistence.mapper.po;

import lombok.Data;

/**
 * @author yq
 * @date 2021/5/27 16:17
 * 水源信息
 */
@Data
public class FireWaterPO {

    /**
     * 地址
     */
    public String address;

    /**
     * 责任人
     */
    private String dutyPerson;

    /**
     * 手机号
     */
    private String phone;


    /**
     * 水源类型
     */
    private String type;

    /**
     * 管辖机构
     */
    private String jurisdictionalAgency;

    /**
     * 支队名称
     */
    private String detachmentName;

    /**
     * 取水形式
     */
    private String getWaterType;


    /**
     * 水源行政
     */
    private String waterAdministrative;

    /**
     * 状态
     */
    private String status;

    /**
     * 供水单位
     */
    private String waterUnit;


    /**
     * 水压
     */
    private String waterGage;

    private String gisX;

    private String gisY;

    private String gisBaiDuX;

    private String gisBaiDuY;

}
