package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Alert implements Serializable {

    private static final long serialVersionUID=1L;

    private String afdz;

    private String ajbh;

    private String ajdj;

    private String ajlx;

    private String ajlxdm;

    private String ajqy;

    private String ajsjd;

    private String ajxz;

    private String ajzt;

    private String bcxx;

    private String cdcl;

    private String czdx;

    private Date dcsj;

    private Date fdsj;

    @JsonAlias("gIS_X")
    @TableField("gIS_X")
    private String gisX;

    @JsonAlias("gIS_Y")
    @TableField("gIS_Y")
    private String gisY;

    @TableId(value = "id",type = IdType.INPUT)
    private String id;

    private String larq;

    private Date lasj;

    private String qrqk;

    private String qx;

    private String qy;

    @JsonAlias("sJC")
    @TableField("sJC")
    private Date sjc;

    private String tzdcsj;

    private String tzfdsj;

    private String tzsj;

    private String zgzd;

    private String zhongdui;


    //火灾信息

    /**
     * 报警人
     */
    @TableField(exist = false)
    private String callPolice;

    /**
     * 电话
     */
    @TableField(exist = false)
    private String policePhone;
    /**
     * 财产损失
     */
    @TableField(exist = false)
    private String propertyLoss;


    /**
     * 死亡人数
     */
    @TableField(exist = false)
    private String deathToll;

    /**
     * 受伤人数
     */
    @TableField(exist = false)
    private String nonFatal;


}
