package com.bizmatics.mhfire.model.bulehelp;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author yq
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BmfwEvent implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 办理单位
     */
    private String unit;

    /**
     * 办理单号
     */
    private String no;

    /**
     * 业务类型
     */
    private String classify;

    /**
     * 办理时间
     */
    private LocalDate date;

    /**
     * 电子凭证
     */
    private String certificate;

    /**
     * 电子凭证
     */
    private String certificateImage;


    private String phoneNo;

    /**
     * 办理人的手机号
     */
    private String maskedPhoneNo;

    /**
     * 状态
     */
    private String s;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 最后修改时间
     */
    private LocalDateTime lastUpdTime;

    /**
     * 申报项目名称
     */
    private String projectName;

    /**
     * 内容系统名称
     */
    private String privateName;

    /**
     * 项目地址（营业执照地址）
     */
    private String address;

    /**
     * 联系人
     */
    private String username;

    /**
     * 出文时间
     */
    private LocalDate newDate;

    /**
     * 送达情况
     */
    private String sendClassify;

    /**
     * 合格,不合格
     */
    private String certificateS;

    private Integer isDel;

    /**
     * 法人
     */
    private String legalPersonName;

    /**
     * 法人联系方式
     */
    private String legalPersonPhone;

    private String pdfUrl;

    private String downloadCode;

    private Integer downloadNum;


}
