package com.bizmatics.mhfire.model.bulehelp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author liangcy
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BmfwLawsCatalogInfo implements Serializable {

    private static final long serialVersionUID=1L;


    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    private Integer catalogId;

    /**
     * 条目名称
     */
    private String value;

    /**
     * 详情
     */
    private String intro;

    private LocalDateTime createTime;

    private LocalDateTime lastUpdTime;

    /**
     * 法规目录名称
     */
    @TableField(exist = false)
    private BmfwLawsCatalog bmfwLawsCatalog;


}
