package com.bizmatics.mhfire.model.bulehelp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author liangcy
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BmfwLawsNew implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 原创图文/转载/视频
     */
    private String classify;

    /**
     * 标题
     */
    private String name;

    /**
     * 封面
     */
    private String cover;

    /**
     * 链接；视频链接/转载链接
     */
    private String url;

    /**
     * 详情
     */
    private String intro;

    private LocalDateTime createTime;

    private LocalDateTime lastUpdTime;

    /**
     * 状态
     */
    private String s;


}
