package com.bizmatics.mhfire.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.mhfire.model.FireSite;
import com.bizmatics.mhfire.service.vo.FireSiteDutyVO;
import com.bizmatics.mhfire.service.vo.FireSiteVO;

import java.util.List;

/**
 * @author yq
 * @date 2021/5/28 15:30
 * 消防站信息
 */
public interface FireSiteService extends CrudService<FireSite> {


    /**
     * 分页
     * @return
     */
    CommonPage<FireSite> page(Integer current,Integer size);


    /**
     * get one
     * @param id
     * @return
     */
    FireSiteVO getOne(String id);

    /**
     * 站点执勤实力
     * @param fireSiteId
     * @return
     */
    List<FireSiteDutyVO> getFireSiteDuty(String fireSiteId);


}
