package com.bizmatics.mhfire.service;


import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.persistence.mapper.po.FireWaterPO;
import com.bizmatics.mhfire.service.vo.FireWaterStatisticsVO;

import java.util.Date;

/**
 * @author yq
 * @date 2021/5/27 16:16
 * 水源信息
 */
public interface FireWaterService {


    /**
     * get one
     * @param id
     * @return
     */
    FireWaterPO getOne(String id);


    /**
     * 分页
     * @param current
     * @param size
     * @param startTime
     * @param endTime
     * @return
     */
    CommonPage<FireWaterPO> page(Integer current, Integer size, Date startTime, Date endTime);


    /**
     * 水源统计
     * @return
     */
    FireWaterStatisticsVO getFireWaterStatistics(Date startTime, Date endTime);
}
