package com.bizmatics.mhfire.service;

import com.bizmatics.mhfire.service.vo.ReportComplaintVO;
import com.bizmatics.mhfire.service.vo.ReportStatisticsVO;

import java.util.Date;
import java.util.List;

/**
 * @author yq
 * @date 2021/5/28 16:58
 * 举报投诉情况
 */
public interface ReportComplaintService {


    /**
     * 举报投诉分类汇总
     * @return
     */
    ReportStatisticsVO getReportStatistics(Date startTime, Date endTime);

    /**
     * 举报情况信息
     * @return
     */
    List<ReportComplaintVO> getReportComplaint(Date startTime, Date endTime);

}
