package com.bizmatics.mhfire.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.persistence.mapper.po.UnitPO;
import com.bizmatics.mhfire.service.vo.UnitAlCheckVO;

import java.util.Date;

/**
 * @author yq
 * @date 2021/5/25 17:25
 * 单位信息
 */
public interface UnitService {


    /**
     * 获取单个单位信息
     * @return
     */
    UnitPO getOne(UnitPO unitPo);

    /**
     * 分页
     * @param current
     * @param size
     * @return
     */
    CommonPage<UnitPO> page(Integer current, Integer size);


    /**
     * 单位信息及执法情况和历史检查记录
     * @param unitId
     * @param startTime
     * @param endTime
     * @return
     */
    UnitAlCheckVO getUnitAlCheck(String unitId, Date startTime, Date endTime);
}
