package com.bizmatics.mhfire.service.bulehelp;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.mhfire.model.bulehelp.RobotQuestionMessageRecord;

import java.util.Date;
import java.util.List;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author liangcy
 * @since 2021-06-15
 */
public interface RobotQuestionMessageRecordService extends CrudService<RobotQuestionMessageRecord> {
    CommonPage<RobotQuestionMessageRecord> page(Integer current,Integer size);


    /**
     * 获取月份图标信息
     * @return
     */
    List<Integer> getIco();

    /**
     * 获取总数
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    Integer getCount(Date startTime, Date endTime);

}
