package com.bizmatics.mhfire.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.mhfire.model.FireSite;
import com.bizmatics.mhfire.persistence.mapper.FireSiteMapper;
import com.bizmatics.mhfire.service.FireSiteService;
import com.bizmatics.mhfire.service.vo.FireSiteDutyVO;
import com.bizmatics.mhfire.service.vo.FireSiteVO;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @author yq
 * @date 2021/5/28 15:30
 */
@Service
public class FireSiteServiceImpl extends AbstractCrudService<FireSiteMapper, FireSite> implements FireSiteService {
    @Override
    public CommonPage<FireSite> page(Integer current, Integer size) {
        IPage<FireSite> page = new Page<>(current, size);
        LambdaQueryWrapper<FireSite> queryWrapper = Wrappers.lambdaQuery();
        page = this.page(page, queryWrapper);
        return this.ToCommonPage(page);
    }

    @Override
    public FireSiteVO getOne(String id) {
        FireSiteVO fireSiteVO = new FireSiteVO();
        //TODO 站点信息调用其他平台接口
        return fireSiteVO;
    }

    @Override
    public List<FireSiteDutyVO> getFireSiteDuty(String fireSiteId) {
        List<FireSiteDutyVO> list = new ArrayList<>();
        //TODO 站点执勤实力信息调用其他平台接口
        return list;
    }
}
