package com.bizmatics.mhfire.service.vo;

import lombok.Data;

import java.sql.SQLTransactionRollbackException;

/**
 * @author yq
 * @date 2021/5/28 16:11
 * 消防站点执勤实力
 */
@Data
public class FireSiteDutyVO {


    /**
     * 类型(备训,跨训，救助，抢险，联动)
     */
    private Integer type;
    /**
     * 车辆信息
     */
    private Integer carNumber;

    /**
     * 人员信息
     */
    private Integer personNumber;


    //TODO 以后新建SitePerson信息里面有type和数量两个字段
    /**
     * 指挥员
     */
    private String commander;

    /**
     * 通讯员
     */
    private String correspondent;
    /**
     * 消防员
      */
    private String firemen;

    /**
     * 驾驶员
     */
    private String driver;
}
