package com.bizmatics.mhfire.service.vo;

import com.bizmatics.mhfire.persistence.mapper.po.FirePolicePO;
import com.bizmatics.mhfire.persistence.mapper.po.FireStatisticsPO;
import com.bizmatics.mhfire.persistence.mapper.po.UnitPO;
import lombok.Data;

/**
 * @author yq
 * @date 2021/5/28 13:07
 * 火灾-单位-出警信息
 */
@Data
public class FireUnitPoliceVO {

    /**
     * 单位信息
     */
    private UnitPO unitPo;

    /**
     * 火灾基本信息
     */
    private FireStatisticsPO fireStatisticsPo;

    /**
     * 出警情况
     */
    private FirePolicePO firePolicePo;
}
