package com.bizmatics.common.core.constants;

/**
 * @author barry chen
 * @date 2021/1/19 2:53 下午
 */
public final class SymbolConst {
    /**
     * "."
     */
    public static final char DOT_CHAR = '.';
    public static final String DTO = DOT_CHAR + "";
    /**
     * 逗号","
     */
    public static final char COMMA_CHAR = ',';
    public static final String COMMA = COMMA_CHAR + "";
    /**
     * 分号 ";"
     */
    public static final char SEMICOLON_CHAR = ';';
    public static final String SEMICOLON = SEMICOLON_CHAR + "";
    /**
     * 冒号 ":"
     */
    public static final char COLON_CHAR = ':';
    public static final String COLON = COLON_CHAR + "";
    /**
     * 感叹号 "!"
     */
    public static final char EXCLAMATION_CHAR = '!';
    public static final String EXCLAMATION = EXCLAMATION_CHAR + "";
    /**
     * "$"
     */
    public static final char DOLLAR_CHAR = '$';
    public static final String DOLLAR = DOLLAR_CHAR + "";
    /**
     * "%"
     */
    public static final char PERCENT_CHAR = '%';
    public static final String PERCENT = PERCENT_CHAR + "";
    /**
     * "&"
     */
    public static final char AND_CHAR = '&';
    public static final String AND = AND_CHAR + "";
    /**
     * "|"
     */
    public static final char OR_CHAR = '|';
    public static final String OR = OR_CHAR + "";
    /**
     * "*"
     */
    public static final char STAR_CHAR = '*';
    public static final String STAR = STAR_CHAR + "";
    /**
     * "_"
     */
    public static final char UNDERLINE_CHAR = '_';
    public static final String UNDERLINE = UNDERLINE_CHAR + "";
    /**
     * "-"
     */
    public static final char EN_DASH_CHAR = '-';
    public static final String EN_DASH = EN_DASH_CHAR + "";
    /**
     * "+"
     */
    public static final char PLUS_CHAR = '+';
    public static final String PLUS = PLUS_CHAR + "";
    /**
     * "="
     */
    public static final char EQUAL_CHAR = '=';
    public static final String EQUAL = EQUAL_CHAR + "";
    /**
     * "("
     */
    public static final char LEFT_ROUND_BRACKET_CHAR = '(';
    public static final String LEFT_ROUND_BRACKET = LEFT_ROUND_BRACKET_CHAR + "";
    /**
     * ")"
     */
    public static final char RIGHT_ROUND_BRACKET_CHAR = ')';
    public static final String RIGHT_ROUND_BRACKET = RIGHT_ROUND_BRACKET_CHAR + "";
    /**
     * "["
     */
    public static final char LEFT_SQUARE_BRACKET_CHAR = '[';
    public static final String LEFT_SQUARE_BRACKET = LEFT_SQUARE_BRACKET_CHAR + "";
    /**
     * "]"
     */
    public static final char RIGHT_SQUARE_BRACKET_CHAR = ']';
    public static final String RIGHT_SQUARE_BRACKET = RIGHT_SQUARE_BRACKET_CHAR + "";
    /**
     * "{"
     */
    public static final char LEFT_BRACE_CHAR = '{';
    public static final String LEFT_BRACE = LEFT_BRACE_CHAR + "";
    /**
     * "}"
     */
    public static final char RIGHT_BRACE_CHAR = '}';
    public static final String RIGHT_BRACE = RIGHT_BRACE_CHAR + "";
    /**
     * 双引号
     */
    public static final char DOUBLE_QUOTE_CHAR = '"';
    public static final String DOUBLE_QUOTE = DOUBLE_QUOTE_CHAR + "";
    /**
     * 单引号
     */
    public static final char QUOTE_CHAR = '\'';
    public static final String QUOTE = QUOTE_CHAR + "";
    /**
     * "\"
     */
    public static final char BACK_SLASH_CHAR = '\\';
    public static final String BACK_SLASH = BACK_SLASH_CHAR + "";
    /**
     * pound '#'
     */
    static final char POUND_CHAR = '#';
    static final String POUND = POUND_CHAR + "";
    /**
     * '@'
     */
    static final char AT_CHAR = '@';
    static final String AT = AT_CHAR + "";
    /**
     * CR
     */
    static final char CR_CHAR = '\r';
    static final String CR = CR_CHAR + "";
    /**
     * RFC 4180 defines line breaks as CRLF
     */
    static final String CRLF = "\r\n";
    /**
     * The end of stream symbol
     */
    static final int END_OF_STREAM = -1;
    static final char FF = '\f';
    static final char LF = '\n';
    static final char TAB = '\t';
    static final char SP = ' ';

    private SymbolConst() {
    }

}
