package com.bizmatics.common.spring.config.id;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * <p>分布式 ID 自动配置 properties </p>
 *
 * @author chenpeng
 * Create at February 12, 2019 at 11:20:20 GMT+8
 */
@Data
@ConfigurationProperties(prefix = "id")
public class IdWorkerConfigProperties {

    private Long workerId;
}
