package com.bizmatics.common.spring.util;

import org.apache.commons.lang3.exception.ExceptionUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author barry chen
 * @date 2020/11/27 4:20 下午
 */
public final class ThreadUtils extends org.apache.commons.lang3.ThreadUtils {
    private static final Logger LOG = LoggerFactory.getLogger(ThreadUtils.class);

    private ThreadUtils() {
    }

    public static void sleep(Long millis) {
        try {
            Thread.sleep(millis);
        } catch (InterruptedException e) {
            LOG.error("thread sleep error", ExceptionUtils.getStackTrace(e));
        }
    }
}
