package com.bizmatics.mhfire.controller;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

@ComponentScan("com.bizmatics")
@SpringBootApplication
@MapperScan("com.bizmatics.mhfire.persistence")
@EnableScheduling
public class MhfireControllerApplication {

    public static void main(String[] args) {
        SpringApplication.run(MhfireControllerApplication.class, args);
    }

}
