package com.bizmatics.mhfire.controller.web.bulehelp;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.mhfire.model.bulehelp.BmfwLawsNew;
import com.bizmatics.mhfire.model.bulehelp.BmfwUser;
import com.bizmatics.mhfire.service.bulehelp.BmfwUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  用户信息
 * </p>
 *
 * @author liangcy
 * @since 2021-06-15
 */
@RestController
@RequestMapping("/bule/bmfwUser")
public class BmfwUserController {

    @Autowired
    private BmfwUserService bmfwUserService;


    /**
     * 分页
     * @param current 页数
     * @param size 条数
     * @return
     */
    @GetMapping("/page")
    public ApiResult<CommonPage<BmfwUser>> page(@RequestParam Integer current,
                                                @RequestParam Integer size){
        return ApiResult.success(bmfwUserService.page(current, size));
    }
}

