package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2021-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class FireSite implements Serializable {

    private static final long serialVersionUID=1L;


    @JsonAlias("DWXZ")
    @TableField("DWXZ")
    private String dwxz;

    @JsonAlias("LDGDDH")
    @TableField("LDGDDH")
    private String ldgddh;

    private String name;

    private String reng;

    private String jgid;

    private String jd;

    @JsonAlias("ID")
    @TableId(value = "id",type = IdType.INPUT)
    private Integer id;

    private String addr;

    @JsonAlias("SSZD")
    @TableField("SSZD")
    private String sszd;

    @JsonAlias("SZWZ")
    @TableField("SZWZ")
    private String szwz;

    @JsonAlias("WD")
    @TableField("WD")
    private String wd;

    private Integer xfzlx;


}
