package com.bizmatics.mhfire.model.bulehelp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author liangcy
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class RobotQuestionMessageRecord implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String openid;

    private Integer messageId;

    /**
     * 留言内容
     */
    private String content;

    /**
     * 用户名称
     */
    private String username;

    private String phoneNo;

    /**
     * 手机号
     */
    private String maskedPhoneNo;

    private Date createTime;

    private Date lastUpdTime;

    /**
     * 状态
     */
    private String s;

    /**
     * 审核原由
     */
    private String reason;


    /**
     * 搜索问题记录
     */
    @TableField(exist = false)
    private RobotQuestionMessage robotQuestionMessage;


}
