package com.bizmatics.mhfire.service.bulehelp.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.core.util.StringUtils;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import com.bizmatics.mhfire.model.bulehelp.BmfwFeedback;
import com.bizmatics.mhfire.model.bulehelp.BmfwLawsNew;
import com.bizmatics.mhfire.persistence.mapper.bulehelp.BmfwLawsNewMapper;
import com.bizmatics.mhfire.service.bulehelp.BmfwLawsNewService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author liangcy
 * @since 2021-06-15
 */
@DS("bulehelp")
@Service
public class BmfwLawsNewServiceImpl extends AbstractCrudService<BmfwLawsNewMapper, BmfwLawsNew> implements BmfwLawsNewService {

    @Override
    public CommonPage<BmfwLawsNew> page(Integer current,Integer size,String name) {
        LambdaQueryWrapper<BmfwLawsNew> productLambdaQueryWrapper = Wrappers.lambdaQuery(BmfwLawsNew.class)
                .like(StringUtils.isNotBlank(name), BmfwLawsNew::getClassify, name);
        IPage<BmfwLawsNew> page = new Page<>(current, size);
        page = baseMapper.selectPage(page, productLambdaQueryWrapper);
        return this.ToCommonPage(page);
    }
}
