package com.bizmatics.mhfire.service.vo;

import lombok.Data;

/**
 * @author yq
 * @date 2021/5/25 17:33
 * 单位及执法情况
 */
@Data
public class UnitAlCheckVO {


    /**
     * 单位ID
     */
    private String id;

    /**
     * 名称
     */
    private String name;

    /**
     * 地址
     */
    private String address;

    /**
     * 负责人
     */
    private String principal;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 行政许可审核时间
     */
    private String auditTime;

    /**
     * 行政许可验收时间
     */
    private String acceptTime;


    /**
     * 行政许可安检时间
     */
    private String securityTime;


    /**
     * 历史检查次数
     */
    private Integer checkNumber;


    /**
     * 历史火灾
     */
    private Integer historyFire;


    /**
     * 隐患次数
     */
    private Integer dangerNumber;


    /**
     * 督改次数
     */
    private Integer directoireNumber;

    /**
     * 处罚次数
     */
    private Integer punishNumber;

    /**
     * 三停
     */
    private Integer threeStop;


    /**
     * 责改次数
     */
    private Integer beganToChangeNumber;

    /**
     * 临封次数
     */
    private Integer sealNumber;


    /**
     * 罚款金额
     */
    private Double fine;

}
